@import url("https://use.typekit.net/uib6bpl.css");
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.13.1/font/bootstrap-icons.min.css");

@font-face {
    font-family: 'nickainley';
    src: url(fonts/Nickainley.ttf) format('ttf'),
         url('/Portals/_default/Skins/PinClubTheme/fonts/Nickainley.ttf') format('ttf'),
         url('fonts/Nickainley.woff') format('woff'),
         url(/Portals/_default/Skins/PinClubTheme/fonts/Nickainley.woff) format('woff');
    font-weight: 700;
}

:root {
    --white: #fff;
    --offwhite: #FAF9F6;
    --black: #000;
    --blacktrans: rgba(0, 0, 0, 0.8);
    --grey: rgba(125, 125, 125, 1);
    --lightgrey: rgba(223, 221, 221, 1);
    --lgtrans: rgba(223, 221, 221, 0.8);
    --darkgrey: rgba(60, 60, 60, 1);
    --dgtrans: rgba(60, 60, 60, 0.8);
    --green: #00734c;
    --gold: #b79400;
    --goldgradient: linear-gradient(180deg,rgba(183, 148, 0, 1) 0%, rgba(217, 177, 0, 1) 100%);
    --uschedblue: #005e76;
}

html {
    scroll-behavior: smooth;
}

hr {
    width: 100%;
    border-top: 3px solid var(--black);
    margin-left: auto;
    margin-right: auto;
}

h1, h2, h3, h4, h5, h6 {
    font-weight: 700;
    font-style: normal;
    color: var(--black);
    letter-spacing: -.5px;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

    h1 {
        text-transform: uppercase;
    }

.Normal {
    font-family: open-sans, sans-serif;
    font-weight: 400;
    font-style: normal;
    color: var(--black);
}

p {
    font-family: open-sans, sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 16px;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

img {
    max-width: 100%;
    height: auto;
}

a {
    color: var(--blue);
    text-decoration: none;
    font-weight: 600;
    -webkit-transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    -ms-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
}

    a:hover {
        color: var(--green);
    }

    a:visited {
        color: var(--blue);
    }

        a:visited:hover {
            color: var(--green);
        }

ul, li {
    font-size: 16px;
}

.bi {
    font-size: 1.5em;
    padding-right: 10px;
}

.container-fluid {
    padding-left: 0;
    padding-right: 0;
}

    .container-fluid .row {
        margin-right: 0;
        margin-left: 0;
    }

/*------------------------------------------------*/
/* NAVBAR */
/*------------------------------------------------*/

.navbar {
    padding: 3%;
    font-size: 16px;
    font-weight: 600;
    letter-spacing: 1px;
    -webkit-transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    -ms-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
}

.bg-light {
    background-color: #f8f9fa !important;
}

#dnn_dnnLOGO_imgLogo {
    max-width: 150px;
    -webkit-transition: all .2s ease-in-out;
    -moz-transition: all .2s ease-in-out;
    -o-transition: all .2s ease-in-out;
    -ms-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
}

.navbar-brand {
    padding: 0 !important;
    margin-right: 0 !important;
}

.nav-item {
    text-transform: uppercase;
}

.nav-link {
    display: inline-block;
    color: var(--black) !important;
    text-decoration: none;
    font-size: 1rem;
    font-weight: 500;
    line-height: 1.5;
}

    .nav-link:hover {
        text-decoration: none;
        color: var(--green) !important;
    }

    .nav-link:visited {
        color: var(--white);
    }

        .nav-link:visited:hover {
            text-decoration: none;
            color: var(--green) !important;
        }

.navbar ul {
    margin-left: 0;
}

.dropdown-menu {
    background-color: #f8f9fa;
    border: none;
    min-width: 12rem;
}

.dropdown-menu .active {
    border-radius: 0px;
}

@media screen and (min-width: 992px) {
    .navbar {
        height: 125px;
    }

    .nav-link {
        font-size: clamp(0.688rem, -0.803rem + 2.404vi, 1rem);
    }

    .dropdown-menu {
        border-radius: 0;
        padding: 1rem 0.5rem;
    }

        .dropdown-menu .nav-link {
            margin-top: 0.25rem;
            margin-bottom: 0.25rem;
        }
}

@media screen and (max-width: 991px) {
    #dnn_dnnLOGO_imgLogo {
        max-height: 70px;
    }

    .navbar-toggler {
        margin: 10px;
    }

    .nav-item {
        margin: 0;
        text-align: center;
    }
}

/*------------------------------------------------*/
/* TOP BANNER */
/*------------------------------------------------*/

#TopBanner {
    background-color: var(--darkblue);
    position: relative;
    z-index: 500;
    padding-top: 5px;
    padding-bottom: 5px;
    text-transform: uppercase;
}

    #TopBanner p {
        margin-top: 0;
        margin-bottom: 0;
        font-size: 14px;
        color: var(--white);
        font-weight: 700;
    }

        #TopBanner p a {
            color: var(--white);
        }

            #TopBanner p a:hover {
                color: var(--lightgreen);
            }

            #TopBanner p a:visited {
                color: var(--white);
            }

                #TopBanner p a:visited:hover {
                    color: var(--lightgreen);
                }

    #TopBanner .bi {
        font-size: 18px;
    }

/*------------------------------------------------*/
/* HERO */
/*------------------------------------------------*/

/* video hero */

body:not(.PageType_Home) .video-container {
    display: none;
}

.video-container {
    width: 100%;
    position: relative;
    overflow: hidden;
}

#videoBG {
    object-fit: cover;
    position: absolute;
    height: 745px;
    width: 100%;
    top: 0;
    left: 0;
}

.video-overlay {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 745px;
    background-color: rgba(0, 0, 0, 0.5);
    text-align: center;
    position: relative;
    z-index: 10;
    width: 100%;
    margin: auto;
}

    .video-overlay p,
    .video-overlay h1,
    .video-overlay h2,
    .video-overlay h3,
    .video-overlay h4,
    .video-overlay h5,
    .video-overlay h6 {
        margin: 0;
        color: var(--white);
    }

    .video-overlay h1 {
        font-size: 4.5rem;
    }

    .video-overlay img {
        max-width: 400px;
        width: 100%;
    }

@media screen and (min-width: 992px) {
    .video-container {
        margin-top: 125px;
    }

    #videoBG,
    .video-overlay {
        height: 85dvh;
    }

    .video-overlay img {
        max-width: 600px;
        width: 100%;
    }
}

/* photo hero */

.hero-bg {
    background-image: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)), url('/Portals/_default/images/AdobeStock_1533767439.jpeg');
    background-size: cover;
    background-position: 50% 65% ;
    object-fit: cover;
    width: 100%;
    height: 30vh;
    overflow: hidden;
    position: relative;
}

.PageType_Home .hero-bg {
    display: none;
}

@media screen and (min-width: 992px) {
    .hero-bg {
        margin-top: 125px;
    }
}

/* text */

.hero-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 98%;
    text-align: center;
}

.hero-text h1,
.hero-text h2,
.hero-text h3,
.hero-text h4,
.hero-text h5,
.hero-text h6 {
    margin: 0;
    color: #fff !important;
    letter-spacing: 1px;
}

.hero-text h1 {
    font-size: 4rem;
}

@media screen and (min-width: 992px) {
    .PageType_Home .hero-text {
        transform: translate(-50%, -50%);
    }
}

@media screen and (max-width: 991px) {
    .hero-bg {
        background-size: cover;
        background-position: center;
        object-fit: cover;
        width: 100%;
        height: 400px;
        overflow: hidden;
        position: relative;
    }

    .PageType_Home .hero-bg {
        height: 60vh;
    }

    .hero-text h1 {
        font-size: 3rem;
    }
}

/*------------------------------------------------*/
/* MAIN CONTENT */
/*------------------------------------------------*/

#MainContent {
    padding-top: 1rem;
}

    #MainContent ul,
    #MainContent li {
        list-style-type: disc;
    }

body:not(.PageType_Home) #HomeOverview {
    display: none;
}

#MapContent p {
    margin: 0;
    padding: 0;
    line-height: 0;
}

@media screen and (min-width: 992px) {
    #MainContent.container-fluid {
        padding-right: 0 !important;
        padding-left: 0 !important;
    }

    #MainContent .row {
        margin-right: 0;
        margin-left: 0;
        padding-left: 2%;
        padding-right: 2%;
    }
}

@media screen and (max-width: 768px) {
    #HomeContent {
        padding-left: 3%;
        padding-right: 3%;
    }

    .PageType_Home #MainBottomContent,
    .Id3124 #MainBottomContent,
    .Id3125 #MainBottomContent {
        background-attachment: scroll;
    }
}

/* home */

.Page-Home .video-overlay a,
.Page-Home .video-overlay a:visited {
    color: var(--white);
}

    .Page-Home .video-overlay a:hover,
    .Page-Home .video-overlay a:visited:hover {
        color: var(--gold);
    }

.PageType_Home #MainContent {
    scroll-margin-top: 100dvh;
}

.PageType_Home #TopContent {
    padding-bottom: 2rem;
}

    .PageType_Home #TopContent * {
        text-align: center;
    }

.PageType_Home #HomeOverview {
    border-top: 2px solid var(--black);
    border-bottom: 2px solid var(--black);
}

    .PageType_Home #HomeOverview > div {
        align-items: center;
        padding-top: 1rem;
        padding-bottom: 1rem;
        border-bottom: 2px solid var(--black);
    }

        .PageType_Home #HomeOverview > div:last-child {
            border-bottom: none;
        }

    .PageType_Home #HomeOverview #HomeOverviewOne,
    .PageType_Home #HomeOverview #HomeOverviewThree,
    .PageType_Home #HomeOverview #HomeOverviewFive {
        background-image: linear-gradient(rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 0.5)), url('/Portals/_default/images/AdobeStock_159213901.webp');
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        box-shadow: 0 -10px 10px -10px rgba(0, 0, 0, 0.5), 0 10px 10px -10px rgba(0, 0, 0, 0.5);
    }

    .PageType_Home #HomeOverview img {
        aspect-ratio: 16 / 9;
        object-fit: cover;
    }

.PageType_Home #NarrowColumnCenter {
    height: 75dvh;
    align-items: center;
    padding-top: 2em;
    padding-bottom: 2em;
    background-image: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)), url('/Portals/_default/images/AdobeStock_1533767439-1200.webp');
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

    .PageType_Home #NarrowColumnCenter * {
        text-align: center;
        color: var(--white);
    }

@media screen and (min-width: 992px) {
    #HomeOverview .row {
        padding-left: 0% !important;
        padding-right: 0% !important;
    }

    .PageType_Home #HomeOverview > div {
        padding-top: 4rem;
        padding-bottom: 4rem;
    }
}

/* SHOP SIMULATORS */

.Page-Shop_Simulators .hero-bg/*,
.Page-Golf_Simulators .hero-bg,
.Page-Hitting_Mats .hero-bg,
.Page-Swing_Cameras___Projectors .hero-bg,
.Page-Accessories .hero-bg*/ {
    background-image: none;
}

/*    .Page-Shop_Simulators .hero-text h1,
    .Page-Golf_Simulators .hero-text h1,
    .Page-Hitting_Mats .hero-text h1,
    .Page-Swing_Cameras___Projectors .hero-text h1,
    .Page-Accessories .hero-text h1 {
        color: #000 !important;
    }*/

@media screen and (min-width: 992px) {
    .Page-Golf_Simulators #MainContent .row,
    .Page-Hitting_Mats #MainContent .row,
    .Page-Swing_Cameras___Projectors #MainContent .row,
    .Page-Accessories #MainContent .row {
        margin-right: 0;
        margin-left: 0;
        padding-left: 7.5%;
        padding-right: 7.5%;
    }
}

/*------------------------------------------------*/
/* COMPONENTS */
/*------------------------------------------------*/

/* boxes */

.content-box {
    display: flex;
    flex-direction: column;
    height: 100%;
    padding: 0.5em 1em;
    margin-bottom: .5em;
    align-items: center;
    background: linear-gradient(130deg,rgba(65, 97, 138, 1) 0%, rgba(4, 33, 67, 1) 100%);
    color: var(--white);
    border: 2px solid var(--black);
    border-radius: 12px;
}

    .content-footer {
        margin-top: auto;
    }

    .content-box * {
        color: var(--white);
    }

    .content-box ul {
        text-align: left;
        margin-left: -10px;
    }

.content-box-grey {
    display: flex;
    flex-direction: column;
    padding: 0.5em 1em;
    margin-bottom: .5em;
    background-color: var(--lightgrey);
    border: 2px solid var(--black);
    border-radius: 12px;
}

    .content-box-grey ul {
        text-align: left;
        margin-left: -10px;
    }

@media screen and (min-width: 992px) {
    .content-box {
        width: 100%;
        padding: 1em;
    }

    .content-section {
        margin-top: auto;
    }
}

.pb-row > div {
    margin-bottom: 1rem;
}

.product-section {
    font-family: 'nickainley';
    font-size: 5rem;
    color: var(--green);
    text-align: center;
}

.product-box {
    display: flex;
    flex-direction: column;
    height: 100%;
    padding: 0;
    margin-bottom: 1rem;
    background: var(--white);
    color: var(--black);
    border: 2px solid var(--black);
    border-radius: 12px;
}

    .product-title,
    .product-price,
    .product-description,
    .product-list {
        padding-left: 1rem;
        padding-right: 1rem;
    }

    .product-img {
        margin-top: 0;
        margin-bottom: 0;
        padding: 0;
        text-align: center;
    }

        .product-img img {
            aspect-ratio: 4 / 3;
            object-fit: cover;
            border-radius: 10px 10px 0 0;
        }

    .product-title {
        font-size: 1rem;
        margin-top: 2rem;
        margin-bottom: 0;
    }

    .product-price {
        margin-top: 0.5rem;
        margin-bottom: 0.5rem;
    }

    .product-description,
    .product-list {
        color: var(--darkgrey);
    }

    .product-button {
        margin-top: auto;
        text-align: center;
    }

        .product-button .book-button:hover {
            color: var(--white) !important;
            background-color: var(--green);
        }

@media screen and (min-width: 992px) {
    .pb-row {
        margin-bottom: 0.5rem;
    }

    .product-box:hover {
        transform: translateY(-2px);
        box-shadow: 0 12px 20px -10px rgba(0, 115, 76, 0.35);
        -webkit-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        -o-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
        transition: all .3s ease-in-out;
    }

    .product-box:not(:hover) {
        -webkit-transition: all .3s ease-in-out;
        -moz-transition: all .3s ease-in-out;
        -o-transition: all .3s ease-in-out;
        -ms-transition: all .3s ease-in-out;
        transition: all .3s ease-in-out;
    }

    .product-box {
        border-color: var(--black);
    }

        .product-box:hover {
            border-color: var(--green);
        }
}
}



/* ribbon overlay */

.ribbon-box {
    position: relative;
    overflow: hidden;
}

.ribbon-overlay {
    position: absolute;
    top: 81px;
    left: -38px;
    overflow: hidden;
    padding: 1px 50px;
    transform: rotate(-45deg);
    transform-origin: top left;
    background-color: var(--darkblue);
    text-transform: uppercase;
    cursor: default;
}

    .ribbon-overlay p {
        font-size: 0.75em;
        margin-top: 0;
        margin-bottom: 0;
        color: var(--lightblue);
    }

@media only screen and (min-width: 1145px) and (max-width: 1312px) {
    .ribbon-overlay {
        top: 63px;
        left: -40px;
        padding: 0 50px;
    }

        .ribbon-overlay p {
            font-size: 0.5em;
        }
}

/* fade animations */

.fade-fast-static {
    opacity: 0;
    transition: opacity 1s ease-out;
}

.fade-md-static {
    opacity: 0;
    transition: opacity 2s ease-out;
}

.fade-long-static {
    opacity: 0;
    transition: opacity 3s ease-out, opacity 1.5s ease-in;
}

.fade-md-left {
    opacity: 0;
    transform: translateX(-40px);
    transition: opacity 1.5s ease-out, transform 1.5s ease-out;
}

.fade-md-right {
    opacity: 0;
    transform: translateX(40px);
    transition: opacity 1.5s ease-out, transform 1.5s ease-out;
}

.fade-md-bottom {
    opacity: 0;
    transform: translateY(40px);
    transition: opacity 1.5s ease-out, transform 1.5s ease-out;
}

    .fade-fast-static.visible,
    .fade-md-static.visible,
    .fade-long-static.visible {
        opacity: 1;
    }

    .fade-md-left.visible,
    .fade-md-right.visible {
        opacity: 1;
        transform: translateX(0);
    }

    .fade-md-bottom.visible {
        opacity: 1;
        transform: translateY(0);
    }

/* booking buttons */

.book-button {
    display: inline-block;
    padding: 10px 15px;
    background-color: var(--lightblue);
    color: var(--black) !important;
    text-align: center;
    text-transform: uppercase;
    border: 1px solid var(--black);
    border-radius: 3px;
    -webkit-transition: all .3s ease-in-out;
    -moz-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    -ms-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
}

    .book-button:hover {
        background-color: var(--blue);
        color: var(--white) !important;
        text-decoration: none;
    }

.book-button.alt {
    background-color: var(--white);
    color: var(--black) !important;
}

    .book-button.alt:hover {
        background-color: var(--gold);
        color: var(--black) !important;
    }

.book-button.hero,
.book-button.gradient {
    background-color: transparent;
    font-size: clamp(0.688rem, -0.803rem + 2.404vi, 1rem);
}

    .book-button.hero:hover,
    .book-button.gradient:hover {
        background-color: var(--green);
        border-color: var(--green);
    }

/* zoom buttons */

.zoom-button {
    cursor: pointer;
    display: block;
    width: 100%;
    overflow: hidden;
    position: relative;
    text-align: center;
    border: 2px solid black;
}

    .zoom-button img {
        display: block;
        width: 100%;
        aspect-ratio: 4 / 3;
        object-fit: cover;
        transition: transform .5s ease;
    }

    .zoom-button:hover img {
        transform: scale(1.3);
    }

    .zoom-button::after {
        content: "";
        position: absolute;
        inset: 0;
        background: rgba(0, 0, 0, 0.6);
        pointer-events: none;
    }

.text-overlay {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 100%;
    z-index: 1;
}

    .text-overlay h2 {
        text-shadow: 2px 2px 4px rgba(0,0,0,.5);
        color: #fff;
        margin: 0;
    }

/* faq accordion */

.accordion-item {
    border: none !important;
}

    .accordion-item .accordion-button {
        border-radius: 12px !important;
        font-size: 1.25rem;
    }

.accordion button {
    font-family: rubik, sans-serif;
    font-weight: 700;
    font-style: normal;
    font-size: 24px;
    color: var(--white);
    margin-top: 1rem;
    margin-bottom: 1rem;
    background-color: var(--green);
}

.accordion-button::after {
    background-image: url('/Portals/174/plus-circle-fill.png');
    transform: scale(1) !important;
}

.accordion-button:not(.collapsed)::after {
    background-image: url('/Portals/174/dash-circle-fill.png');
}

.accordion-button:not(.collapsed) {
    background-color: var(--green);
    color: var(--white);
}

@media screen and (max-width: 991px) {
    .accordion-button {
        padding: 1rem 0.5rem !important;
    }

    .accordion-item .accordion-button {
        font-size: 1rem;
    }

    .accordion-button::after {
        transform: scale(0.75) !important;
    }
}

/* tour button */

#TourButton {
    position: fixed;
    right: 15px;
    bottom: 10px;
    z-index: 1100;
}

    #TourButton a {
        display: inline-block;
        margin: 10px 0;
        padding: 10px 30px;
        border-radius: 10px;
        text-transform: uppercase;
        font-weight: 500;
        font-size: .85rem;
        text-align: center;
        letter-spacing: 1px;
        border: 2px solid #000;
        background: var(--green);
        color: #fff !important;
        box-shadow: 5px 5px 8px rgba(0,0,0,.25);
    }

@media screen and (max-width: 768px) {
    #TourButton {
        right: 10px;
        font-size: 12px;
    }

        #TourButton a {
            font-size: .65rem;
        }
}

/* contact section */

.contact * {
    font-weight: normal;
}

/* font & text classes */

.font-small {
    font-size: 0.8rem;
}

.font-large {
    font-size: 3rem;
}

.font-nickainley {
    font-family: 'nickainley' !important;
    text-transform: none !important;
}

.text-green {
    color: var(--green) !important;
}

.text-gold {
    color: var(--gold) !important;
}

.usched-link,
.usched-link:hover {
    color: var(--uschedblue) !important;
    font-weight: 600;
}

/* suite carousels */

.carousel-item img,
.carousel-item video {
    display: block;
    width: 100vw;
    object-fit: cover;
}

/* videos */

.youtube-video {
    aspect-ratio: 4 / 3;
    width: 100%;
}

/* quick forms */

.DnnModule-DNNSmartQuickForm {
    width: 100%;
    justify-self: center;
}

/* recaptcha */

.grecaptcha-badge {
    opacity: 0;
}

/*------------------------------------------------*/
/* FOOTER */
/*------------------------------------------------*/

footer {
    background-color: #f8f9fa;
    padding-top: 1rem;
    padding-bottom: 1rem;
}

    footer a {
        font-weight: 500;
    }

.footer-nav {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    list-style: none;
    padding: 0;
}

    .footer-nav li {
        margin: 0.5em 2em;
    }

    .footer-nav img {
        max-width: 35px;
    }

@media screen and (max-width: 991px) {
    #FooterRow {
        justify-content: center;
    }

    #dnn_FooterContentLeft {
        text-align: center;
    }
}

@media screen and (min-width: 992px) {
    .footer-nav {
        justify-content: center;
    }

        .footer-nav li {
            margin: 0.5em 1em;
        }
}